Commit 7b037578 authored by Héctor Orón Martínez's avatar Héctor Orón Martínez

Merge tag '3.70' into jessie-backports

parents 2b8e7c21 aee971af
......@@ -85,7 +85,7 @@ You need the devscripts package for the checkbashisms test.
Database format
- - - - - - - -
To accomodate the differences between machines, db/*.db files contain
To accommodate the differences between machines, db/*.db files contain
information on supported machines. The files look somewhat like
RFC 2822 data or Debian control data, i.e. header: value pairs,
with definitions separated by an empty line. Comments starting with a
......@@ -115,9 +115,13 @@ The supported fields are:
This option is ignored if a DTB is to be appended, via either DTB-Append or
DTB-Append-From.
* DTB-Id: (optional) specifies the name of the DTB file for this device. If
the value begins with a `!' then the field is a script which should be run.
The script must produce the DTB filename (and nothing else) on stdout.
* DTB-Id: (optional) specifies the name of the DTB file for this device
relative to the kernel package DTB dir or /etc/flash-kernel/dtbs.
It's not necessary to specify the directory if the DTB is in a vendor
subdirectory as flash-kernel will search for the filename in
subdirectories. If the value begins with a `!' then the field is a script
which should be run. The script must produce the DTB filename (just the
filename, without a vendor subdirectory) on stdout (and nothing else).
* DTB-Append: (optional) when yes the DTB specified by DTB-Id will be appended
to the kernel image.
......@@ -161,12 +165,12 @@ The supported fields are:
add these packages aborts the installation
* Optional-Packages: (optional) list of packages which should be
added during installer pharse for flash-kernel to offer full
added during installer phase for flash-kernel to offer full
functionality; failure to add these packages just triggers a warning
* Bootloader-Sets-Incorrect-Root: (optional) when "yes" indicates that
the bootloader passes a root= value to the kernel and that this
should be overriden in the initrd; when "no", flash-kernel only sets
should be overridden in the initrd; when "no", flash-kernel only sets
a default value for the root device, which allows end-users to pass
root= to the kernel.
......
# Bootscript using the new unified bootcmd handling
#
# Expects to be called with the following environment variables set:
#
# devtype e.g. mmc/scsi etc
# devnum The device number of the given type
# bootpart The partition containing the boot files
# distro_bootpart The partition containing the boot files
# (introduced in u-boot mainline 2016.01)
# prefix Prefix within the boot partiion to the boot files
# kernel_addr_r Address to load the kernel to
# fdt_addr_r Address to load the FDT to
# ramdisk_addr_r Address to load the initrd to.
#
# The uboot must support the booti and generic filesystem load commands.
if test -n "${console}"; then
setenv bootargs "${bootargs} console=${console}"
fi
setenv bootargs @@LINUX_KERNEL_CMDLINE_DEFAULTS@@ ${bootargs} @@LINUX_KERNEL_CMDLINE@@
@@UBOOT_ENV_EXTRA@@
if test -z "${fk_kvers}"; then
setenv fk_kvers '@@KERNEL_VERSION@@'
fi
# These two blocks should be the same apart from the use of
# ${fk_kvers} in the first, the syntax supported by u-boot does not
# lend itself to removing this duplication.
if test -n "${fdtfile}"; then
setenv fdtpath dtbs/${fk_kvers}/${fdtfile}
else
setenv fdtpath dtb-${fk_kvers}
fi
if test -z "${distro_bootpart}"; then
setenv partition ${bootpart}
else
setenv partition ${distro_bootpart}
fi
load ${devtype} ${devnum}:${partition} ${kernel_addr_r} ${prefix}vmlinuz-${fk_kvers} \
&& load ${devtype} ${devnum}:${partition} ${fdt_addr_r} ${prefix}${fdtpath} \
&& load ${devtype} ${devnum}:${partition} ${ramdisk_addr_r} ${prefix}initrd.img-${fk_kvers} \
&& echo "Booting Debian ${fk_kvers} from ${devtype} ${devnum}:${partition}..." \
&& booti ${kernel_addr_r} ${ramdisk_addr_r}:${filesize} ${fdt_addr_r}
load ${devtype} ${devnum}:${partition} ${kernel_addr_r} ${prefix}vmlinuz \
&& load ${devtype} ${devnum}:${partition} ${fdt_addr_r} ${prefix}dtb \
&& load ${devtype} ${devnum}:${partition} ${ramdisk_addr_r} ${prefix}initrd.img \
&& echo "Booting Debian from ${devtype} ${devnum}:${partition}..." \
&& booti ${kernel_addr_r} ${ramdisk_addr_r}:${filesize} ${fdt_addr_r}
# Set some compatibility variables for distro_bootcmd emulation using
# the default values from u-boot 2016.05 for the odroid target.
if test -z "${devtype}"; then
setenv devtype mmc
fi
if test -z "${devnum}" ; then
setenv devnum ${mmcbootdev}
fi
if test -z "${distro_bootpart}" ; then
setenv distro_bootpart ${mmcbootpart}
fi
if test -z "${kernel_addr_r}" ; then
setenv kernel_addr_r 0x40007fc0
fi
if test -z "${fdt_addr_r}" ; then
setenv fdt_addr_r ${fdtaddr}
fi
if test -z "${ramdisk_addr_r}" ; then
setenv ramdisk_addr_r ${initrdaddr}
fi
# Bootscript using the new unified bootcmd handling
# introduced with u-boot v2014.10, and patched into
# the debian odroid target since 2016.03+dfsg1-5.
#
# Expects to be called with the following environment variables set:
#
# devtype e.g. mmc/scsi etc
# devnum The device number of the given type
# bootpart The partition containing the boot files
# distro_bootpart The partition containing the boot files
# (introduced in u-boot mainline 2016.01)
# prefix Prefix within the boot partiion to the boot files
# kernel_addr_r Address to load the kernel to
# fdt_addr_r Address to load the FDT to
# ramdisk_addr_r Address to load the initrd to.
#
# The uboot must support the bootz and generic filesystem load commands.
# Workaround lack of baudrate included with console on various iMX
# systems (e.g. wandboard, cubox-i, hummingboard)
if test "${console}" = "ttymxc0" && test -n "${baudrate}"; then
setenv console "${console},${baudrate}"
fi
if test -n "${console}"; then
setenv bootargs "${bootargs} console=${console}"
fi
setenv bootargs @@LINUX_KERNEL_CMDLINE_DEFAULTS@@ ${bootargs} @@LINUX_KERNEL_CMDLINE@@
@@UBOOT_ENV_EXTRA@@
if test -z "${fk_kvers}"; then
setenv fk_kvers '@@KERNEL_VERSION@@'
fi
# These two blocks should be the same apart from the use of
# ${fk_kvers} in the first, the syntax supported by u-boot does not
# lend itself to removing this duplication.
if test -n "${fdtfile}"; then
setenv fdtpath dtbs/${fk_kvers}/${fdtfile}
else
setenv fdtpath dtb-${fk_kvers}
fi
if test -z "${distro_bootpart}"; then
setenv partition ${bootpart}
else
setenv partition ${distro_bootpart}
fi
load ${devtype} ${devnum}:${partition} ${kernel_addr_r} ${prefix}vmlinuz-${fk_kvers} \
&& load ${devtype} ${devnum}:${partition} ${fdt_addr_r} ${prefix}${fdtpath} \
&& load ${devtype} ${devnum}:${partition} ${ramdisk_addr_r} ${prefix}initrd.img-${fk_kvers} \
&& echo "Booting Debian ${fk_kvers} from ${devtype} ${devnum}:${partition}..." \
&& bootz ${kernel_addr_r} ${ramdisk_addr_r}:${filesize} ${fdt_addr_r}
load ${devtype} ${devnum}:${partition} ${kernel_addr_r} ${prefix}vmlinuz \
&& load ${devtype} ${devnum}:${partition} ${fdt_addr_r} ${prefix}dtb \
&& load ${devtype} ${devnum}:${partition} ${ramdisk_addr_r} ${prefix}initrd.img \
&& echo "Booting Debian from ${devtype} ${devnum}:${partition}..." \
&& bootz ${kernel_addr_r} ${ramdisk_addr_r}:${filesize} ${fdt_addr_r}
This diff is collapsed.
flash-kernel (3.60~bpo8+1) jessie-backports; urgency=medium
flash-kernel (3.70) unstable; urgency=medium
* Rebuild for jessie-backports.
[ Karsten Merker ]
* Add machine db entries for various sunxi-based systems that are
(at least partially) supported in kernel 4.8 and u-boot v2016.09:
- Allwinner R16 EVB (Parrot)
- INet-86DZ Rev 01
- Polaroid MID2407PXE03 tablet
* Add a machine db entry for the Olimex A33-OLinuXino (supported
in u-boot v2016.09 and in linux-next-20160923).
-- Christian Perrier <bubulle@debian.org> Tue, 27 Sep 2016 07:02:51 +0200
flash-kernel (3.69) unstable; urgency=medium
[ Vagrant Cascadian ]
* Add support for root device being set using PARTUUID.
-- Christian Perrier <bubulle@debian.org> Wed, 21 Sep 2016 07:53:46 +0200
flash-kernel (3.68) unstable; urgency=medium
[ Karsten Merker ]
* Add machine db entries for various sunxi-based systems that are
(at least partially) supported in kernel 4.7 and u-boot v2016.07:
- Colorfly E708 Q1 tablet
- Difrnce DIT4350
- Dserve DSRV9703C
- Polaroid MID2809PXE04 tablet
- Xunlong Orange Pi One
- Xunlong Orange Pi PC
- Xunlong Orange Pi 2
* Fix the DTB-ID for generic Allwinner-A13-based Q8-form-factor tablets.
[ Martin Michlmayr ]
* Handle DTBs in vendor subdirectories (as found on arm64 kernels).
* Add uboot-generic boot script for arm64: based on the armhf version
but with booti.
* Produce an error when the DTB cannot be found. (Closes: #833097)
* Add a machine db entry for NVIDIA Jetson TX1 Developer Kit.
* Add a machine db entry for DragonBoard 410c.
* Fix typos in README.
-- Christian Perrier <bubulle@debian.org> Mon, 08 Aug 2016 07:33:38 +0200
flash-kernel (3.67) unstable; urgency=medium
[ Vagrant Cascadian ]
* Add a machine db entry and boot script for Odroid-U3.
-- Christian Perrier <bubulle@debian.org> Mon, 20 Jun 2016 08:20:31 +0200
flash-kernel (3.66) unstable; urgency=medium
[ Karsten Merker ]
* Add machine db entries for various sunxi-based systems that are
(at least partially) supported in kernel 4.6 and u-boot v2016.05:
- Allwinner A83T H8Homlet Proto Dev Board v2.0
- Cubietech Cubietruck Plus
- ICnova-A20 SWAC
- iNet-9F Rev 03
- Itead Ibox A20
- Sinlinx SinA31s Development Board
- A10s-Wobo i5
- Yones TopTech BS1078 v2 Tablet
-- Christian Perrier <bubulle@debian.org> Sat, 07 May 2016 08:48:55 +0200
-- Héctor Orón Martínez <zumbi@debian.org> Sun, 20 Mar 2016 18:56:51 +0100
flash-kernel (3.65) unstable; urgency=medium
[ Vagrant Cascadian ]
* Add a machine db entry for Odroid XU4.
-- Christian Perrier <bubulle@debian.org> Sun, 01 May 2016 08:09:09 +0200
flash-kernel (3.64) unstable; urgency=medium
[ Roger Shimizu ]
* Fix script issue specific on a few linkstation devices.
-- Christian Perrier <bubulle@debian.org> Thu, 21 Apr 2016 07:01:33 +0200
flash-kernel (3.63) unstable; urgency=medium
[ Roger Shimizu ]
* Update machine db entry for "Buffalo/Revogear Kurobox Pro" to add DTB
support from kernel 4.5.1
-- Christian Perrier <bubulle@debian.org> Sat, 16 Apr 2016 09:29:29 +0200
flash-kernel (3.62) unstable; urgency=medium
[ Roger Shimizu ]
* Add <kvers> param to scripts under dtb-probe.
* Fix a few cases prevent script "dtb-probe/kirkwood-linkstation" from
running properly.
[ Vagrant Cascadian ]
* Add a machine db entry for Raspberry Pi 2 Model B.
-- Christian Perrier <bubulle@debian.org> Tue, 05 Apr 2016 09:37:42 +0200
flash-kernel (3.61) unstable; urgency=medium
[ Roger Shimizu ]
* Add myself to debian/copyright
* Add script dtb-probe/kirkwood-linkstation, based on
dtb-probe/kirkwood-qnap, to support smooth upgrade/downgrade of kernel,
since there's a split/rename for device tree file of a few Buffalo
Linkstation devices.
* Make use of above script to determine DTB file for listed devices:
- Buffalo Linkstation LS-VL
- Buffalo Linkstation LS-WSXL
- Buffalo Linkstation LS-WVL
- Buffalo Linkstation LS-WVL/VL
- Buffalo Linkstation LS-WXL
- Buffalo Linkstation LS-WXL/WSXL
* Update "DTB-Append-From" field for "Buffalo Linkstation Pro/Live",
since the patch of device tree is backported to sid (4.4) kernel.
* Update machine ID for "Buffalo Linkstation Mini (LS-WSGL)"
-- Christian Perrier <bubulle@debian.org> Fri, 25 Mar 2016 06:46:48 +0100
flash-kernel (3.60) unstable; urgency=medium
......
......@@ -8,6 +8,7 @@ Copyright (C) 2006, 2007, 2008, 2009, 2010, 2011, 2016 Martin Michlmayr <tbm@cy
Copyright (C) 2011 Loïc Minier <lool@dooz.org>
Copyright (C) 2012-2016 Ian Campbell <ijc@debian.org>
Copyright (C) 2014-2016 Karsten Merker <merker@debian.org>
Copyright (C) 2015-2016 Roger Shimizu <rogershimizu@gmail.com>
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
......
......@@ -23,9 +23,10 @@ msgstr ""
"Project-Id-Version: be\n"
"Report-Msgid-Bugs-To: debian-boot@lists.debian.org\n"
"POT-Creation-Date: 2008-06-29 08:15+0000\n"
"PO-Revision-Date: 2010-07-06 14:53+0300\n"
"Last-Translator: Viktar Siarheichyk <vics@eq.by>\n"
"Language-Team: Belarusian <i18n@mova.org>\n"
"PO-Revision-Date: 2015-12-21 15:13+0300\n"
"Last-Translator: Viktar Siarheichyk <vics@fsfe.org>\n"
"Language-Team: Debian l10n team for Belarusian <debian-l10n-belarusian@lists."
"debian.org>\n"
"Language: be\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
......
......@@ -6,6 +6,8 @@
# translation of debian-installer_packages_po_sublevel1_da.po to
# Danish messages for debian-installer.
# This file is distributed under the same license as debian-installer.
# Joe Hansen <joedalton2@yahoo.dk>, 2011, 2012, 2013, 2014, 2015.
# Ask Hjorth Larsen <asklarsen@gmail.com>, 2010.
# Mads Bille Lundby <lundbymads@gmail.com, 2009.
# Henrik Christian Grove <debian@3001.dk>, 2008.
# Jesper Dahl Nyerup <debian@jespernyerup.dk>, 2008.
......@@ -15,14 +17,31 @@
#
# Volume er oversat til diskenhed. Ret hvis Dansk-gruppen finder en anbefaling.
#
# Translations from iso-codes:
# Alastair McKinstry <mckinstry@computer.org>, 2001.
# Claus Hindsgaul <claus.hindsgaul@gmail.com>, 2006.
# Claus Hindsgaul <claus_h@image.dk>, 2004, 2005, 2006.
# Computeroversættelse Tobias Toedter <t.toedter@gmx.net>, 2007.
# Copyright (C) Free Software Foundation, Inc., 2006.
# Frederik 'Freso' S. Olesen <freso.dk@gmail.com>, 2008.
# Free Software Foundation, Inc., 2000, 2004, 2005.
# Joe Hansen <joedalton2@yahoo.dk>, 2009, 2010, 2011.
# Keld Simonsen <keld@dkuug.dk>, 2000, 2001.
# Kenneth Christiansen <kenneth@gnu.org>, 2000.
# Ole Laursen <olau@hardworking.dk>, 2001.
#
# vedrørende russisk:
# (bogstavet й bliver normalt til j på dansk og y på engelsk. Der er
# også nogle forskelle med de mange s/sh-agtige lyde)
#
msgid ""
msgstr ""
"Project-Id-Version: debian-installer_packages_po_sublevel1_da\n"
"Report-Msgid-Bugs-To: debian-boot@lists.debian.org\n"
"POT-Creation-Date: 2008-06-29 08:15+0000\n"
"PO-Revision-Date: 2010-08-05 10:48+0200\n"
"Last-Translator: Jacob Sparre Andersen <jacob@jacob-sparre.dk>\n"
"Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
"PO-Revision-Date: 2015-08-16 20:20+0200\n"
"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
"Language-Team: <dansk@dansk-gruppen.dk>\n"
"Language: da\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
......
#!/bin/sh
# Copyright (C) 2016
# Roger Shimizu <rogershimizu@gmail.com>
#
# Based on script kirkwood-qnap
# Copyright (C) 2014 Ian Campbell <ijc@debian.org>
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,
# USA.
# This script attempts to determine the correct device tree blob to
# use on kirkwood based Buffalo Linkstation devices, which varies according
# to DTB file ships with the kernel installed.
#
# This is required because there's a split/rename for device tree file of
# a few Buffalo Linkstation devices. With help of this script, kernel
# upgrade/downgrade would be smooth as usual.
set -e
FK_DIR="/usr/share/flash-kernel"
. "${FK_CHECKOUT:-$FK_DIR}/functions"
info=0
if [ "x$1" = "x--info" ] ; then
info=1
[ -n "$2" ] && kvers=$2
elif [ "x$2" = "x--info" ] ; then
info=1
kvers=$1
elif [ -n "$1" ]; then
kvers=$1
fi
[ -z "$kvers" ] &&
kvers=$(linux-version list | linux-version sort | tail -1)
last_result=
success() {
local res=$1
if [ $info -gt 0 ] ; then
echo "kirkwood-linkstation: success: $res" >&2
if [ -n "$last_result" -a "x$res" != "x$last_result" ] ; then
echo "kirkwood-linkstation: result mismatch" >&2
fi
last_result=$res
else
echo $res
exit 0
fi
}
fallback_dtb() {
for dtb_name in $dtbs; do
dtb=$(find_dtb_file)
if [ -f "$dtb" ]; then
echo "$dtb_name"
return
fi
done
# Workaround: DTB file will be removed before this script is invoked,
# when upgrading or removing kernel package.
# So here just provide a fake DTB as warning message, instead of error,
# which will block upgrading or removing of kernel package.
[ ! -d /usr/lib/linux-image-$kvers ] &&
echo "kernel_removed?"
}
if [ $info -gt 0 ] ; then
(
/bin/echo -e "Kernel:\t\t$(uname -a)"
/bin/echo -e -n "cpuinfo:\t" ; grep ^Hardware /proc/cpuinfo
/bin/echo -e -n "dt model:\t"
if [ -e /proc/device-tree/model ] ; then
cat /proc/device-tree/model
/bin/echo
else
/bin/echo "n/a"
fi
/bin/echo
) >&2
fi
get_machine
if [ -z "$machine" -a $info -gt 0 ] ; then
machine=`get_machine`
fi
echo "kirkwood-linkstation: machine: $machine" >&2
case $machine in
"Buffalo Linkstation LS-VL")
dtbs="kirkwood-linkstation-lsvl.dtb kirkwood-lswvl.dtb"
;;
"Buffalo Linkstation LS-WSXL")
dtbs="kirkwood-linkstation-lswsxl.dtb kirkwood-lswxl.dtb"
;;
"Buffalo Linkstation LS-WVL"|"Buffalo Linkstation LS-WVL/VL")
dtbs="kirkwood-linkstation-lswvl.dtb kirkwood-lswvl.dtb"
;;
"Buffalo Linkstation LS-WXL"|"Buffalo Linkstation LS-WXL/WSXL")
dtbs="kirkwood-linkstation-lswxl.dtb kirkwood-lswxl.dtb"
;;
*)
error "Unknown machine $machine"
;;
esac
dtb_name=$(fallback_dtb)
if [ -n "$dtb_name" ]; then
success $dtb_name
else
echo "kirkwood-linkstation: Unable to determine $machine variant " >&2
fi
......@@ -89,6 +89,12 @@ FK_DIR="/usr/share/flash-kernel"
info=0
if [ "x$1" = "x--info" ] ; then
info=1
[ -n "$2" ] && kvers=$2
elif [ "x$2" = "x--info" ] ; then
info=1
kvers=$1
elif [ -n "$1" ]; then
kvers=$1
fi
last_result=
......
# Copyright (C) 2006 Joey Hess
# Copyright (C) 2006, 2007, 2008, 2009, 2010, 2011 Martin Michlmayr <tbm@cyrius.com>
# Copyright (C) 2006, 2007, 2008, 2009, 2010, 2011, 2016 Martin Michlmayr <tbm@cyrius.com>
# Copyright (C) 2011 Loïc Minier <lool@dooz.org>
# Copyright (C) 2011 Julian Andres Klode <jak@debian.org>
# Copyright (C) 2013-2016 Ian Campbell <ijc@debian.org>
......@@ -231,7 +231,7 @@ get_dtb_name() {
error "dtb-probe $dtb_script_name not found"
fi
dtb_name=$($dtb_script)
dtb_name=$($dtb_script $kvers)
if [ $? -ne 0 ] || [ "x$dtb_name" = "x" ]; then
error "dtb-probe $dtb_script failed"
fi
......@@ -241,6 +241,12 @@ get_dtb_name() {
;;
esac
if [ -n "$dtb_name" ] ; then
# DTBs on arm64 are stored in subdirs for each vendor; strip
# the dir away (in case someone specified it, although it's
# not needed).
# The DTB will be stored in /boot/dtbs/$kvers/ without
# additional subdirs.
dtb_name=$(basename $dtb_name)
echo "DTB: $dtb_name" >&2
fi
}
......@@ -558,11 +564,11 @@ find_dtb_file() {
echo "$dtb_name"
;;
*)
if [ -e "/etc/flash-kernel/dtbs/$dtb_name" ] ; then
echo "/etc/flash-kernel/dtbs/$dtb_name"
else
echo "/usr/lib/linux-image-$kvers/$dtb_name"
local dtb=$(find /etc/flash-kernel/dtbs -name $dtb_name 2>/dev/null | head -n 1)
if [ -z "$dtb" ]; then
dtb=$(find /usr/lib/linux-image-$kvers -name $dtb_name 2>/dev/null | head -n 1)
fi
echo $dtb
;;
esac
}
......@@ -597,8 +603,8 @@ handle_dtb() {
rmdir --ignore-fail-on-non-empty /boot/dtbs
fi
else
if [ -e $dtb ]; then
echo "Installing $dtb_name into /boot/dtbs/$kvers/$dtb_name" >&2
if [ -e "$dtb" ]; then
echo "Installing $dtb into /boot/dtbs/$kvers/$dtb_name" >&2
mkdir -p /boot/dtbs/$kvers/
cp "$dtb" "/boot/dtbs/$kvers/$dtb_name.new"
backup_and_install \
......@@ -614,6 +620,8 @@ handle_dtb() {
# This can be used along with the unversioned
# vmlinuz+initrd.gz e.g. as a fallback option
ln -nfs "dtbs/$kvers/$dtb_name" "/boot/dtb"
else
error "Couldn't find $dtb"
fi
fi
}
......
......@@ -67,7 +67,7 @@ if [ -n "$rootdev" ]; then
fi
fi
# Translate LABEL and UUID entries into a proper device name.
# Translate LABEL, UUID, and PARTUUID entries into a proper device name.
if echo "$rootdev" | grep -q "="; then
a=$(echo "$rootdev" | cut -d "=" -f 1)
b=$(echo "$rootdev" | cut -d "=" -f 2- | sed -e 's/^"\(.*\)"$/\1/')
......@@ -86,6 +86,12 @@ if echo "$rootdev" | grep -q "="; then
echo "UUID $b doesn't exist in /dev/disk/by-uuid" >&2
fi
;;
PARTUUID)
rootdev=/dev/disk/by-partuuid/$b
if [ ! -e $rootdev ]; then
echo "UUID $b doesn't exist in /dev/disk/by-uuid" >&2
fi
;;
*)
echo "/etc/fstab parse error; cannot recognize root $rootdev" >&2
rootdev=/dev/sda2
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment